        subroutine SUNDAT(K2)
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'LOCAL1.INC'
      include 'LOCAL2.INC'
      include 'LOCAL3.INC'
      include 'SUNCOM.INC'
        integer I, J, K, K2
        real POXTES, SINTES
      do 110 K = 1, 7
         ABSTOL(K) = 0.
         do 100 I = 1, 46
            ABSTOL(K) = ABSTOL(K)+ABSORG(I,K,K2)
100      continue
110   continue
      PHOXSW = .false.
      POXTES = 0.0
      SINGSW = .false.
      SINTES = 0.0
      do 130 J = 1, 7
         do 120 I = 1, 3
            POXTES = POXTES+KOXG(I,J,K2)
            SINTES = SINTES+K1O2G(I,J,K2)
120      continue
130   continue
      if (POXTES.gt.0.0) PHOXSW = .true.
      if (SINTES.gt.0.0) SINGSW = .true.
      return
      end
